.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptResourcePath.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptResourcePath:

VisualScriptResourcePath
========================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------------+---------------------------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_resource_path<class_VisualScriptResourcePath_get_resource_path>`  **(** **)**                                   |
+------------------------------+---------------------------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_resource_path<class_VisualScriptResourcePath_set_resource_path>`  **(** :ref:`String<class_string>` path  **)** |
+------------------------------+---------------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`String<class_string>` **path**

Member Function Description
---------------------------

.. _class_VisualScriptResourcePath_get_resource_path:

- :ref:`String<class_string>`  **get_resource_path**  **(** **)**

.. _class_VisualScriptResourcePath_set_resource_path:

- void  **set_resource_path**  **(** :ref:`String<class_string>` path  **)**


